> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/motorsport-api/endpoints-and-entities/entities/fixture.md).

# Fixture

Represents a race, qualifying round or practice session.

**Related endpoints**

{% content-ref url="/pages/Vpmly0kNWlPKmsNINP2u" %}
[Fixtures](/v3/motorsport-api/endpoints-and-entities/endpoints/fixtures.md)
{% endcontent-ref %}

**Field description**

| Field                   | Description                                                                                                                                                                                                | Type    |
| ----------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------- |
| `id`                    | Refers the unique id of the fixture                                                                                                                                                                        | integer |
| `sport_id`              | Refers to the sport of the fixture                                                                                                                                                                         | integer |
| `league_id`             | Refers to the league the fixture is held in                                                                                                                                                                | integer |
| `season_id`             | Refers to the seasons the fixture is held in                                                                                                                                                               | integer |
| `stage_id`              | Refers to the stage (e.g. race weekend) the fixture is held in                                                                                                                                             | integer |
| `group_id`              | Not used in the Motorsport API                                                                                                                                                                             | integer |
| `aggregate_id`          | Not used in the Motorsport API                                                                                                                                                                             | integer |
| `round_id`              | Not used in the Motorsport API                                                                                                                                                                             | integer |
| `state_id`              | Refers to the state the fixture is currently in                                                                                                                                                            | integer |
| `venue_id`              | Refers to the venue (track) the fixture is held at                                                                                                                                                         | integer |
| `name`                  | Represents the name of the fixture                                                                                                                                                                         | string  |
| `starting_at`           | String representing the start date and time                                                                                                                                                                | date    |
| `result_info`           | Represents the final result info                                                                                                                                                                           | string  |
| `leg`                   | Represents the stage of the fixture, e.g. `2/3` for Practice 2 (of 3) or `3/3` for Qualification 3. Note: Returns `1/1` for Practice 1 if the other practice sessions are replaced by the sprint sessions. | string  |
| `details`               | Represents details about the fixture                                                                                                                                                                       | string  |
| `length`                | Currently unused in the Motorsport API                                                                                                                                                                     | integer |
| `placeholder`           | Represents if the fixture is a placeholder                                                                                                                                                                 | boolean |
| `has_odds`              | Not used in the Motorsport API                                                                                                                                                                             | boolean |
| `has_premium_odds`      | Not used in the Motorsport API                                                                                                                                                                             | boolean |
| `starting_at_timestamp` | Integer representing the starting Unix timestamp (in seconds since Unix Epoch)                                                                                                                             | integer |

**Include options**

`sport` `stage` `league` `season` `venue` `state` `lineups` `participants` `metadata` `results` `latestLaps` `pitstops` `latestPitstops` `stints` `latestStints`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportmonks.com/v3/motorsport-api/endpoints-and-entities/entities/fixture.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
